For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

Delete a group

DELETE
https://api.brevo.com/v3/corporate/group/:id
DELETE
/v3/corporate/group/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.deleteAGroup("id");
8}
9main();

This endpoint allows you to delete a group of sub-organizations. When a group is deleted, the sub-organizations are no longer part of this group. The users associated with the group are no longer associated with the group once deleted.

Was this page helpful?
Previous

Delete sub-account from group

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired
Id of the group

Response

Group deleted

Errors

400
Bad Request Error